| makeprotseq

## Function

Create random protein sequences

## Description

makeprotseq writes an output file with a set of random protein sequences. The sequence composition is defined from reading a pepstats output file of protein composition: the sequences are created with amino acid frequencies matching those given in the file. The number of sequences to create and length of each sequence is specified. Optionally, a user-defined string may be inserted into each output sequence at a specified position

## Algorithm

## Usage

Here is a sample session with makeprotseq

    % makeprotseq
    Create random protein sequences
    Pepstats program output file (optional):
    Number of sequences created [100]:
    Length of each sequence [100]:
    protein output sequence(s) [makeseq.fasta]:

Go to the output files for this example

Example 2

    % makeprotseq
    Create random protein sequences
    Pepstats program output file (optional): ../pepstats-keep/laci_ecoli.pepstats
    Number of sequences created [100]:
    Length of each sequence [100]:
    protein output sequence(s) [makeseq.fasta]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers (* if not always prompted):
       -pepstatsfile       infile     This file should be a pepstats output file.
                                      Protein sequences will be created with the
                                      composition in the pepstats output file.
       -amount             integer    [100] Number of sequences created (Integer 1
                                      or more)
       -length             integer    [100] Length of each sequence (Integer 1 or
                                      more)
    *  -insert             string     String that is inserted into sequence (Any
                                      string is accepted)
    *  -start              integer    [1] Start point of inserted sequence
                                      (Integer 1 or more)
      [-outseq]            seqoutall  [<sequence>.<format>] Protein sequence
                                      set(s) filename and optional format (output
                                      USA)

       Additional (Optional) qualifiers:
       -useinsert          toggle     [N] Do you want to make an insert

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-outseq" associated qualifiers
       -osformat1          string     Output seq format
       -osextension1       string     File name extension
       -osname1            string     Base file name
       -osdirectory1       string     Output directory
       -osdbname1          string     Database name to add
       -ossingle1          boolean    Separate file for each entry
       -oufo1              string     UFO features
       -offormat1          string     Features format
       -ofname1            string     Features file name
       -ofdirectory1       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
-pepstatsfile | This file should be a pepstats output file. Protein sequences will be created with the composition in the pepstats output file. | Input file | Required
-amount | Number of sequences created | Integer 1 or more | 100
-length | Length of each sequence | Integer 1 or more | 100
-insert | String that is inserted into sequence | Any string is accepted | An empty string is accepted
-start | Start point of inserted sequence | Integer 1 or more | 1
[-outseq] (Parameter 1) | Protein sequence set(s) filename and optional format (output USA) | Writeable sequence(s) | <*>.format
Additional (Optional) qualifiers | Allowed values | Default
-useinsert | Do you want to make an insert | Toggle value Yes/No | No
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

makeprotseq reads any normal sequence USAs.

### Input files for usage example 2

### File: ../pepstats-keep/laci_ecoli.pepstats

    PEPSTATS of LACI_ECOLI from 1 to 360

    Molecular weight = 38590.06  		Residues = 360
    Average Residue Weight  = 107.195 	Charge   = 1.5
    Isoelectric Point = 6.8820
    A280 Molar Extinction Coefficient  = 21620
    A280 Extinction Coefficient 1mg/ml = 0.56
    Improbability of expression in inclusion bodies = 0.660

    Residue		Number		Mole%		DayhoffStat
    A = Ala		44		12.222 		1.421
    B = Asx		0		0.000  		0.000
    C = Cys		3		0.833  		0.287
    D = Asp		17		4.722  		0.859
    E = Glu		15		4.167  		0.694
    F = Phe		4		1.111  		0.309
    G = Gly		22		6.111  		0.728
    H = His		7		1.944  		0.972
    I = Ile		18		5.000  		1.111
    J = ---		0		0.000  		0.000
    K = Lys		11		3.056  		0.463
    L = Leu		41		11.389 		1.539
    M = Met		10		2.778  		1.634
    N = Asn		12		3.333  		0.775
    O = ---		0		0.000  		0.000
    P = Pro		14		3.889  		0.748
    Q = Gln		28		7.778  		1.994
    R = Arg		19		5.278  		1.077
    S = Ser		32		8.889  		1.270
    T = Thr		19		5.278  		0.865
    U = ---		0		0.000  		0.000
    V = Val		34		9.444  		1.431
    W = Trp		2		0.556  		0.427
    X = Xaa		0		0.000  		0.000
    Y = Tyr		8		2.222  		0.654
    Z = Glx		0		0.000  		0.000

    Property	Residues		Number		Mole%
    Tiny		(A+C+G+S+T)		120		33.333
    Small		(A+B+C+D+G+N+P+S+T+V)	197		54.722
    Aliphatic	(A+I+L+V)		137		38.056
    Aromatic	(F+H+W+Y)		21		 5.833
    Non-polar	(A+C+F+G+I+L+M+P+V+W+Y)	200		55.556
    Polar		(D+E+H+K+N+Q+R+S+T+Z)	160		44.444
    Charged		(B+D+E+H+K+R+Z)		69		19.167
    Basic		(H+K+R)			37		10.278
    Acidic		(B+D+E+Z)		32		 8.889

## Output file format

makeprotseq outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: makeseq.fasta

    >EMBOSS_001
    nrvlhpepnprtdniytpawirllygvwvwnrqachnkeerkryppklmmydsqfwcdfe
    wadccspkqgwhgnlvkvnrteemfgmqflpqvhpgkkvd
    >EMBOSS_002
    vtvkddwhkdwwcrpamdylhywlkqrnhytdlslyyttstprwarmadtflapegndcv
    qtmywrwvndgdivclecqvcgrfdiymvqdsgqidkghs
    >EMBOSS_003
    celpniypyweragingdwhetvtvrmhcnnddilwyqmnykppsshavhyivwrrnwcw
    nfidqgdgdnrncmnytsnapeqksqlkyghkrqftvvvr
    >EMBOSS_004
    cshpdepancgridtykhvaydmtdtkaeyhgsspelqslrqkfsnqvwhnraviwwehp
    iqdcrlkhselrchskhlseikmpvevtmsdwlmytgyfm
    >EMBOSS_005
    cpcqytiqygsdlfldsqmpkckkisvelvclvynaqsnlsyfiheaafmvfhpfsllci
    meecinwincriaiwppkfvqleidkmiwkvklqcknvcw
    >EMBOSS_006
    ifawkitieywnktydldkmrklakdfgfppfdpwpihvgccnisnwfmepkfwaqmkcw
    mstltiedndwlmlnttefgeqllfywmhwmpcqdewqph
    >EMBOSS_007
    eiviqqfmvshealkqlgnkwnsqqmhvndriydvkhlvdasnfihhplnkryfrenvns
    tacccvhtwsipclfqtidhivnldgaygpwyrvkyshsp
    >EMBOSS_008
    hmcmmmshfyvgycffvsvrdqrqtceyphvlmhnilftqgralwvrskqpqcadnhqpk
    ghwwvawrlqsymkgpqykpqkdwwqgkkffghiwemvrc
    >EMBOSS_009
    rwydtkfimsgkfaysarqyprqikegeatalrsgpqicpaewiaanypgasfekrqfmd
    mqwicgyeprehrwsekymshesvkkgyrhglkngveyqt
    >EMBOSS_010
    yatmyyygtgmtmkwgepiyvaqflirneqepkvkhahghdascrpkirldlfleerpnp
    yksvsfnrfyaggkliigiitydttchkihahdrkeekar
    >EMBOSS_011
    arakqhrkhmlvknsanwayqswdgkskllvtfghvmenmfkhwrkrsmncvrpinrhfe
    gpvmigvkadcqghgqidniqcawpnfedmhamrtvqqvm
    >EMBOSS_012
    dkihtlrhnhypshmtmtewetvvgvfmipcsmariscpvwgnwphmqglcyppwsgtpn
    esqgctnnitfwmnwvspywlfpdlpnfatfmtlgnqrfh
    >EMBOSS_013
    fkghwqakfphwlsydlkitkyftrqfhmnfiarmngasnfhgrsriawmahlwnqhara
    qaflmrlstheyewyfrnqapldqlfnecvlpvmsawhmw
    >EMBOSS_014
    shhsqgkrnnectscqdqagfdcadnfttqvmekhwtheifnhivgisaittthyvytmt
    wcqsfsnmnnlwsragchwevdiagvrmmdicfsvyercf
    >EMBOSS_015
    hknwdqldarqikalervvclpcenqvidtmvvglifkkkdlfmintwqtwkgisvysci
    hqfligfinkgwfpdaysvgvlmfdqdaienadahgdhhl
    >EMBOSS_016
    gwylwhlgntdaqfeghstgnvhhedkathldfyhedwgchnrtqppvfgmanrwdvakk
    seygwmvgfhqcddtlgyfemfhawywgypgcdfhfnrpp
    >EMBOSS_017
    lfqtfqvwnaymgcgryaclewysaisgcsvmqfgdfkdpifhfptdrlwggiesgdkev

      [Part of this file has been deleted for brevity]

    >EMBOSS_084
    yscilavytfadkdtptkkapetdlnpdhermykmhdhsrtghwtrnnigcksssyisqv
    tciplripvnfrlvvawrcwmdlqddwkphmnmffmrray
    >EMBOSS_085
    iivhagtkvksgdpaiglirectikwcemwpdsicdtfkivkyfiqskttmqsyyvnilr
    lsravaskdsqetdtcgdsmdmshvcpkchqnwhslgsdh
    >EMBOSS_086
    frqhcqqnsdvfqyrhwktfpfryakchgihvwpkptmeccwlprhqwkktnrvnpvlnf
    ytdhhkviceqlelvvsykhskdrvthqmprrnvgegqdw
    >EMBOSS_087
    ctedmshteihecsmfddlrdwhmkrdcsipnagrkkegwipkldmmrycvylqipktti
    fhdvsatcvasfmvhkpndfmlckrciyhykgdtwwrpwt
    >EMBOSS_088
    ygscslkqtqlgsggkehqqqyleqayewavmisgspnciqsepwmmsmgkpkfwivryn
    yekcvmdgyacfqkwegpdhwvsvvhrkmydrggffylge
    >EMBOSS_089
    hhqkiqscaitwtgiinqqwfmmnrrgwakkqdhqasafvitdnkrswtreyfnkmvism
    mkmhcvqtnvhcsaqrrsmhtppyntlitvprmgcpyfka
    >EMBOSS_090
    akrdfsklilitwvlhficlrfgafaffgmemailrpsdqiywsnmqhnamfkptdhmlv
    pelycargfavhpadqgghwwlderteiphyrikdrshde
    >EMBOSS_091
    pyrehgtmcpckvwqcplydgtadsrgagywpsfhneppqgvseiefeccmaciqqctka
    ffqgdamkkkylqnqevptpypdhildnmlqsvyqggqsq
    >EMBOSS_092
    alhntshnerdmetlwgagcfivemkahfvcyelrkgcrcrrsfnvkfhahaqdwwffmd
    snptmgncgeqltgpkqhadilfidinqmmctmchchqye
    >EMBOSS_093
    aflkktaalkrfrmmtvtmvnqlwcagatifmhilkdlsrsmilgrhcegmwillcfasy
    ralvkvdsgtkrwwhkdflelywwdeayrhysetqyasav
    >EMBOSS_094
    rshvqnvdhpssidmkripdwtcqglqmqinlwllrragirravmykiwdkgemnvelah
    iwayhgfrsfikfgqpiqkmrvmyerilptdllyiedcnh
    >EMBOSS_095
    yenmtynnavemahpeirnwlwrsgfdpmgvhchladnppvscatlvmklwitnfwaaqy
    pvwnqfltcyqmprqleflrglvgnchhdrwwqdalitrt
    >EMBOSS_096
    rdhgrspnwmkftvgvdmtalmycwrdrlewliacfhftmkrgkciewmselicppptnf
    vqisnrcmsirgwmymradkeaqcnirwyiyahlkhkwgm
    >EMBOSS_097
    aygfwfqqhhhfeptkqpeylawqtwtcvkkrcqsytachfeqvthvnkcpsqpiapced
    dpsptitsssscnierktgigltcysnhgalmritpkyci
    >EMBOSS_098
    vaaiydmiaqwvviqtwfvttddqerclwwesrhqyydeyeffftistpvwcyprrrlia
    ghaqvikywawvdeslipsefqqapeipdpigpgkvqpeq
    >EMBOSS_099
    vlmpqdsprpefivnvfntadpscecsckfqlfmcekffncikangvnvdmpchipkaam
    tecytlqiawppqnkltypgvhtksfgeewldhmpieqgg
    >EMBOSS_100
    seffvlpnicymnwnramyvfshwwycfpcsymkdklfwdtrypqihpapklnmedacpg
    ytctrpqryqilarqtwyarkhygwvnwtdiascntmdgq

### Output files for usage example 2

### File: makeseq.fasta

    >EMBOSS_001
    eqngievefrcplriaaeyahqsgatanpaedqllifgvlqsqaerggfgavpdkallvv
    nllvlargqkaikegpsaecpvlgttgqtgrdntekssnv
    >EMBOSS_002
    npnsvlatsvmavqeyslmgtmagsqdriaavgagmapaaprcmydsllavglrvkevln
    qaranqnaelilialsvlqnltqvvsarpqlqtqilhtta
    >EMBOSS_003
    llgersmqmmvdyksrivatvaapndgtveevligamdgemhrraqiyataipnqqrmln
    rlhldiltlrdevgrmpaeyevqgadghlkihcdkpappq
    >EMBOSS_004
    laielvelevkdhvaasinlmlgavagylmttqaevgqqsqqglprdaairqyasmavtr
    sdlvcgsiqvgqvtasisplsssravapgqvassmatakr
    >EMBOSS_005
    vevqaphdmtavsksvqdfrsvhssqavgalsalryqaegqmksivyllfaktrvpssli
    flvlsrmseldsysaeqsvaqglhvsginsagsdwhrnla
    >EMBOSS_006
    ivynsspslmnfgamlglsgdhsygvktleelvrnrhtailvrsqeavsvrhvnldfgva
    fqagpsvlelngrgeaalvtlqsgkmmginsevqllndei
    >EMBOSS_007
    vsaiqdkgaqillssqstrgaraqqftarvqhlvagtsnlyqrvhttegegdaldvepea
    allvvaipnqievgvqahvthargltlatealqpglatqr
    >EMBOSS_008
    iglrssattmniawklaaaqlqqdpllmqingfifiglaqidysnnqasqrdvlleidqh
    kimmnyadsqalshkrqmsedglanqtghvkttsnvgnql
    >EMBOSS_009
    qallaskifqtsklaqyqdaqqdssltvlpygcqieqslrlvaiyyrldtlpvvgddvsv
    rqasvtavdqliqaalgaraivqasgtmditggriplaqa
    >EMBOSS_010
    myafmmakatgpssatvqianydkgsceldlegasiytkilypvqrsidslgvsvvqqre
    asaaavrqkmlktssihkisamvpavtssilivdgllslq
    >EMBOSS_011
    lclgdiqsiggngfqyraymdaalksagggppvtiafleglstndsdagfvpqrifqikv
    idpssiaslllqtitdslridlyarrvvlrtygdpnddas
    >EMBOSS_012
    lssiagdiriarqtspgavmlanpkpvgirlasyqsaleaatraeirdtglarraatpqe
    vqdtvaeesavasranpemasvqvgeeklavfpgirdqkt
    >EMBOSS_013
    ksitaqyhvetngpmlghsasmvpqdktgrviydrrtyarkitdqdslagytgmrqiyql
    qwvggdsqatvalaatcrdlqgldskrvvagdpgqyaisn
    >EMBOSS_014
    atiadkgdrrvlppvqldlkkllylrkaadagvstnptvsleiiaksqlspaptanapsp
    aldqkqrgffgaaqyivtnlplswkaqgsvsvvqpmvdvl
    >EMBOSS_015
    igeavdgllddhslgldaplselvrqnhlasnntgskhshlsksheaadaagthaaacls
    tqksstkseskakrlyaqatagflvqlysvrlvlttltts
    >EMBOSS_016
    inagntgtealydkvtiaatrattvvsypiglkaivlmivirqpqrqavtryednlawsg
    avmiasaikidlvvpsiaklrvtlmmakaekvlkitrdre
    >EMBOSS_017
    gvqpvqaarlasiliqalvsvnmqysqtvqarqktlkhvesltlqplqgaktslptvgln

      [Part of this file has been deleted for brevity]

    >EMBOSS_084
    mqvsgynaavlvslpepsgyevpvsreltvdsasrivtaqaitaadresivgppqmipda
    alsrgqhenrlqsaalmdwnsvsqvlasrifrgvkfddla
    >EMBOSS_085
    hsailtasngatvelhtsiqlvpssallgaevqslvpvhhasakhqchppsqammarssd
    gqqyayphvadlplalklqrlsaiavqgliqfaiasiqli
    >EMBOSS_086
    kqdtwdqrqlakqmqtasakrkqmygvtthinmehrpslvvasectqashprdpernsrv
    maliisnslvdglsaaqmhiasldaatdsecqeptvkqva
    >EMBOSS_087
    valvgqtavitvlprkvvgdvatssqllqsqeltcssvtniegglrrqmvnagqhqsapi
    livnalplalavsptserllsgvsdvsmiastvpnnqeaa
    >EMBOSS_088
    atalqgsqaqskattsvtqddagvdlavalashpkaerlsdaleargagthrslnsaqae
    mlgvpfviallldgmvievtanapntdhgmlditvvastv
    >EMBOSS_089
    ttqsidalyhpmaiiirdqnvgfeqdknlgsdviqlqyvnsplegcqnpqlmkrgrasqr
    ssriwpdaraivqydqqagtpedmrpssparqftlellgy
    >EMBOSS_090
    yhdltqsgissanngtkiwgqvklvylktglfyssdeqvqsmnqrgdielrvgepvtssn
    qvsmlldiklptrlvqktimasvvdalhriaqhhvqqilv
    >EMBOSS_091
    eacvtkaglrvgpnqlegmltpwvadklkaarqvielerdiaavhlvlvlryvsqqvahy
    vkqtllggsgmgdrdvneprmdvisgvegsdqnlqtkqqd
    >EMBOSS_092
    lgieaqtrvdvglpsniltlvsnvgsytkalmvgqgilqlqqpkraskiliyqvmntvgl
    cedagielilqsatqsqtylhsvilsrqrflpgvtliqav
    >EMBOSS_093
    lvghhalyshdvqsgpnpsafqsnlytypivgihssvspqqssskdtlvtsmssswvyaa
    dygpgalptpsqantsltglsaamvlymdiaalaqayala
    >EMBOSS_094
    qqindeavteaqhvrhqselapvqksdrqsrsnssqqlticdyarmsinvhivreavslt
    inymitvqakisvkdqsqssdagmvqigrpvggmsvvvft
    >EMBOSS_095
    mlrgpaerypvgyievscrngaqqikvrrinilisyvreeaqvyagarsgasaelayydl
    eanrqkspvadrqqqslvgqkgairvtildnaqvlsspqp
    >EMBOSS_096
    qvtiqqeensgvpakavgplggavaqlcslmgillvtkasgdtslivmsplghledrprv
    nqsardwgqsqkasarqlvgvldlricamhmytsgignts
    >EMBOSS_097
    lmtkavqqtitkvqagdrlasyndamalaghqvdqaayvtkvdppinrhleaqqsyelvv
    leqrpspqaqalrsvdsptstgpvmariilggqspesals
    >EMBOSS_098
    nlyhmvrswqaaasqpmvapalvqvcvganvqdtdmmvvmvtkkpsqpenavaddqqssl
    tiyqasslmlnnllagiqavlddlqvsdvrhtrtsndrld
    >EMBOSS_099
    ngredlqedrvvsnrakrawveplvvqwhvdsvgllgvlelhglrkneavgrvihegyls
    pllaagdslnqrqrgsamekatpsqtklvnglifeildtt
    >EMBOSS_100
    plklpgqfslafrnedlgmnkqtanmlkevqmsslggkavpdaeditelegseflvwldt
    mpvaqqddadhgldqanaydhiminpraplilqleasltq

## Data files

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aligncopy | Reads and writes alignments
aligncopypair | Reads and writes pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
cutseq | Removes a section from a sequence
degapseq | Removes non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieves sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featcopy | Reads and writes a feature table
featreport | Reads and writes a feature table
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
maskambignuc | Masks all ambiguity characters in nucleotide sequences with N
maskambigprot | Masks all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
newseq | Create a sequence file from a typed-in sequence
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove all whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads sequences and writes them to individual files
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Reads and writes (returns) sequences, skipping first few
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
union | Concatenate multiple sequences into a single sequence
vectorstrip | Removes vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

This application was contributed by Henrikki Almusa, Medicel, Helsinki, Finland

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None